<!DOCTYPE html>

<html>
  <head>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />  
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" class="collapse-all-link" title="Collapse/expand all the suites">
          <img class="collapse-all-icon" src="collapseall.gif">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" class="navigator-link" panel-name="suite-target">
              <span class="suite-name border-passed">target</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" class="navigator-link " panel-name="test-xml-target">
                    <span>C:\Users\swati\Desktop\jenkins-test\target-automation\src\test\java\com\target\test\modulea\Swati.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="testlist-target">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="group-target">
                    <span>2 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="times-target">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="reporter-target">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="ignored-methods-target">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="chronological-target">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">2 methods,   2 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-target" class="hide-methods passed suite-target"> (hide)</a> <!-- hide-methods passed suite-target -->
                      <a href="#" panel-name="suite-target" class="show-methods passed suite-target"> (show)</a> <!-- show-methods passed suite-target -->
                    </span>
                    <div class="method-list-content passed suite-target">
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-target" title="com.target.test.modulea.DelhiTest" hash-for-method="test1">test1</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-target" title="com.target.test.modulea.DelhiTest" hash-for-method="test2">test2</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-target -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-target" class="panel target">
          <div class="suite-target-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">com.target.test.modulea.DelhiTest</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="test1">
                  </a> <!-- test1 -->
                  <span class="method-name">test1</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="test2">
                  </a> <!-- test2 -->
                  <span class="method-name">test2</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-target-class-passed -->
        </div> <!-- panel target -->
        <div panel-name="test-xml-target" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\swati\Desktop\jenkins-test\target-automation\src\test\java\com\target\test\modulea\Swati.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite name=&quot;target&quot;&gt;
  &lt;test name=&quot;Module&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;com.target.test.modulea.DelhiTest&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Module --&gt;
&lt;/suite&gt; &lt;!-- target --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-target" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for target</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Module (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-target" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for target</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="test-group">
              <span class="test-group-name">Delhi</span>
              <br/>
              <div class="method-in-group">
                <span class="method-in-group-name">test1</span>
                <br/>
              </div> <!-- method-in-group -->
              <div class="method-in-group">
                <span class="method-in-group-name">test2</span>
                <br/>
              </div> <!-- method-in-group -->
            </div> <!-- test-group -->
            <div class="test-group">
              <span class="test-group-name">ModuleA</span>
              <br/>
              <div class="method-in-group">
                <span class="method-in-group-name">test1</span>
                <br/>
              </div> <!-- method-in-group -->
              <div class="method-in-group">
                <span class="method-in-group-name">test2</span>
                <br/>
              </div> <!-- method-in-group -->
            </div> <!-- test-group -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-target" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for target</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_target');
function tableData_target() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(2);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'test1')
data.setCell(0, 2, 'com.target.test.modulea.DelhiTest')
data.setCell(0, 3, 14);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'test2')
data.setCell(1, 2, 'com.target.test.modulea.DelhiTest')
data.setCell(1, 3, 1);
window.suiteTableData['target']= { tableData: data, tableDiv: 'times-div-target'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 15 ms</span>
              <div id="times-div-target">
              </div> <!-- times-div-target -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-target" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for target</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-target" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-target" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">com.target.test.modulea.DelhiTest</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">test1</span>
                <span class="method-start">0 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">test2</span>
                <span class="method-start">21 ms</span>
              </div> <!-- test-method -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
